Fetch Refunds
curl --request GET \
--url https://service-sandbox.tazapay.com/v3/settlement/{id}/transactions/refund \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://service-sandbox.tazapay.com/v3/settlement/{id}/transactions/refund"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://service-sandbox.tazapay.com/v3/settlement/{id}/transactions/refund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "",
"data": {
"has_more": false,
"object": "list",
"results": [
{
"balance_transaction_id": "btr_d013fgtin2debfvbjv1g",
"id": "rfd_d013felin2debfvbjus0"
},
{
"balance_transaction_id": "btr_d013h95in2debfvbjvkg",
"id": "rfd_d013h6lin2debfvbjvf0"
}
]
}
}Settlements
Fetch Refunds
GET
/
v3
/
settlement
/
{id}
/
transactions
/
refund
Fetch Refunds
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
ID of the settlement object you want to fetch the list of refunds for
Query Parameters
A cursor for use in pagination. Takes a refund ID as input
A cursor for use in pagination. Takes a refund ID as input
The number of objects to be fetched. By default 10; can be from 1 to 100
Was this page helpful?
⌘I
